using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;
using MonoTouch.AVFoundation;

namespace ScanBarCodes
{
	public class CoverUrlConnectionDelegate : NSUrlConnectionDelegate
	{
		#region Private Members
		NSMutableData _responseData;
		ScanBarCodesViewController _parentViewController;
		#endregion

		public CoverUrlConnectionDelegate(ScanBarCodesViewController viewController)
		{
			_parentViewController = viewController;
		}

		public override void ReceivedResponse (NSUrlConnection connection, NSUrlResponse response)
		{
			_responseData = new NSMutableData ();
		}

		public override void ReceivedData (NSUrlConnection connection, NSData data)
		{
			_responseData.AppendData (data);
		}

		public override NSCachedUrlResponse WillCacheResponse (NSUrlConnection connection, NSCachedUrlResponse cachedResponse)
		{
			return null;
		}

		public override void FinishedLoading (NSUrlConnection connection)
		{
			UIImage img = new UIImage (_responseData);
			_parentViewController.ImageViewer.Image = img;
			_parentViewController.PendingRequest = false;
		}
		public override void FailedWithError (NSUrlConnection connection, NSError error)
		{
			_parentViewController.PendingRequest = false;
		}
	}
}