using System;
using System.Drawing;
using MonoTouch.AVFoundation;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace ScanBarCodes
{
	public class ISBNDetectedEventArgs : EventArgs
	{
		#region Members
		string _isbn;
		RectangleF _frame;
		bool _isDetected;
		#endregion 
		#region ctor
		public ISBNDetectedEventArgs(string id, RectangleF frame, bool isDetected)
		{
			_isbn = id;
			_frame = frame;
			_isDetected = isDetected;
		}
		#endregion

		#region Properties
		public string ISBN 
		{
			get
			{
				return _isbn;
			}
		}

		public RectangleF Frame
		{
			get
			{
				return _frame;
			}
		}

		public bool IsDetected
		{
			get{
				return _isDetected;
			}
		}
		#endregion 
	}
	
}

