using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;
using Infragistics;

namespace ScanBarCodes
{
	public partial class CurrentLibraryViewController : UIViewController
	{
		const string NAME_OF_DATAFILE = @"bookInfo";
		IGGridView _gridView;
		IGGridViewDataSourceHelper _helper;

		static bool UserInterfaceIdiomIsPhone {
			get { return UIDevice.CurrentDevice.UserInterfaceIdiom == UIUserInterfaceIdiom.Phone; }
		}

		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
			
			// Release any cached data, images, etc that aren't in use.
		}

		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();

			this.View.BackgroundColor = UIColor.White;
			
			_gridView = new IGGridView ();

			_gridView.Frame = new RectangleF (0, 0, this.View.Frame.Size.Width, this.View.Frame.Size.Height);

			_helper = new IGGridViewDataSourceHelper ();

			_helper.AutoGenerateColumns = false;

			IGGridViewColumnDefinition isbnColumn = new IGGridViewColumnDefinition ("ISBN");
			isbnColumn.HeaderText = "ISBN";
			isbnColumn.Width = IGColumnWidth.CreateNumericColumnWidth(200);
			_helper.ColumnDefinitions.Add (isbnColumn);

			IGGridViewImageColumnDefinition imageColumn = new IGGridViewImageColumnDefinition ("CoverImage",IGGridViewImageColumnDefinitionPropertyType.IGGridViewImageColumnDefinitionPropertyTypeImage);
			imageColumn.Width = IGColumnWidth.CreateNumericColumnWidth(200);
			_helper.ColumnDefinitions.Add (imageColumn);

			NSObject nsData = NSKeyedUnarchiver.UnarchiveFile (Utilities.pathToDataFile (NAME_OF_DATAFILE));

			NSMutableDictionary data = (NSMutableDictionary)nsData;

			if (data!=null)
			{
				_helper.Data =  data.Values;
			}

			_gridView.DataSource = _helper;

			this.View.AddSubview (_gridView);

			_gridView.UpdateData ();
		}
	}
}

